---
title: Use the Inspector API
slug: Tools/Page_Inspector/How_to/Use_the_Inspector_API
tags:
  - Inspector
  - Reference
  - Référence(2)
  - Tools
---
<div>{{ToolsSidebar}}</div><p>Firefox add-ons may access the following objects from the chrome://browser/content/devtools/inspector/inspector.xul context:</p>

<h3 id="window.inspector">window.inspector</h3>

<p>defined in <a href="http://mxr.mozilla.org/mozilla-central/source/browser/devtools/inspector/inspector-panel.js">inspector-panel.js</a>. Attributes and functions:</p>

<ul>
 <li>.selection - information about the inspector's selection:
  <ul>
   <li>.isNode() - returns true if selection is node.</li>
   <li>.node - returns the actual element from the page</li>
   <li>.window - the window object of the frame the selection is in.</li>
  </ul>
 </li>
 <li>.markDirty() - marks that the page has been changed by the inspector - a warning will be shown when leaving the page, since changes made through the inspector are rewritten on reload.</li>
</ul>

<p>Bindable events using on:</p>

<h4 id="markuploaded">markuploaded</h4>

<p>Called when the left panel has been refreshed, after page change.</p>

<h4 id="ready">ready</h4>

<p>Called on first markuploaded.</p>

<h4 id="pseudoclass">pseudoclass</h4>

<p>Called after toggle of a pseudoclass.</p>

<h4 id="layout-change">layout-change</h4>

<p>"low-priority change event for things like paint and resize."</p>
